#!/bin/sh
set -ev

# Remove cronjob
rm -f /etc/periodic/daily/kanboard

# Remove service
rm -f /etc/init.d/kanboard
rc-update -u

# Drop database and user
[ ! -e /run/openrc/started/postgres ] && service postgres start && STOP_POSTGRES=1
echo 'DROP DATABASE IF EXISTS kanboard; DROP ROLE IF EXISTS kanboard;' | lxc-attach -u 5432 -g 5432 postgres -- psql
[ ! -z ${STOP_POSTGRES} ] && service postgres stop

exit 0
